	#include <windows.h>
	#include <string.h>
	#include <commctrl.h>
	#include <cstring>
	#include <cstdio>
	#include "Snapshot.h"

extern HWND ghwndMain;
static int file_number = 1;
BOOL SaveBitmapFile(HDC, HBITMAP, PSTR);

   LRESULT CALLBACK WindowFunc(HWND,	UINT,	WPARAM,	LPARAM);

	char szWinName[]= "MyWin";

   HINSTANCE hInst;
   HWND hwnd;
   
   
   int WINAPI WinMain(HINSTANCE hThisInst,	HINSTANCE hPrevInst,
       						 LPSTR lpszArgs,	int nWinMode)
      {
         MSG msg;
         WNDCLASSEX wcl;
         HACCEL hAccel;
		 INITCOMMONCONTROLSEX	cc;

         wcl.cbSize=sizeof(WNDCLASSEX);

         wcl.hInstance 		= hThisInst;
         wcl.lpszClassName = szWinName;
         wcl.lpfnWndProc	= WindowFunc;
         wcl.style=0;

         wcl.hIcon	=LoadIcon(NULL,IDI_APPLICATION);
         wcl.hIconSm	=NULL;
         wcl.hCursor	=LoadCursor(NULL, IDC_ARROW);

         wcl.lpszMenuName  = "TimerMenu";

         wcl.cbClsExtra    = NULL;
         wcl.cbWndExtra    = NULL;

         wcl.hbrBackground	= NULL;//(HBRUSH)COLOR_BACKGROUND;
//(HBRUSH) GetStockObject(WHITE_BRUSH);

         if(!RegisterClassEx(&wcl))	return 0;

         ghwndMain = hwnd=CreateWindow(
         	szWinName,
            "Demonstrate Dilog Boxes",
            WS_OVERLAPPEDWINDOW,
            CW_USEDEFAULT,
            CW_USEDEFAULT,
            CW_USEDEFAULT,
				CW_USEDEFAULT,
            NULL,
            NULL,
            hThisInst,
            NULL);


         hInst	=	hThisInst;

         hAccel	= 	LoadAccelerators(hThisInst,"MyMenu");
		 cc.dwSize	=	sizeof(INITCOMMONCONTROLSEX);
		 cc.dwICC	=	ICC_BAR_CLASSES	|	ICC_UPDOWN_CLASS	|
						ICC_PROGRESS_CLASS;
		 InitCommonControlsEx(&cc);


         ShowWindow(hwnd,nWinMode);
         UpdateWindow(hwnd);

         while (GetMessage(&msg , NULL,	0,	0))
         {
         	if (!TranslateAccelerator(hwnd,hAccel,&msg)){
            TranslateMessage(&msg);
            DispatchMessage(&msg);
            }
         }

         return msg.wParam;
      }

   LRESULT CALLBACK WindowFunc(HWND hwnd ,	UINT message ,
   									 	WPARAM wParam,	LPARAM lParam)
 	{
   	int response;

      switch (message)	{
      	case WM_COMMAND:
         	switch (LOWORD(wParam))	{
               case IDM_EXIT:
               	response = MessageBox(hwnd,"Quit the program?",
                  							"Exit",MB_YESNO);
                  if (response==IDYES)PostQuitMessage(0);
                  break;
               case IDM_HELP:
               	MessageBox(hwnd,"No Help","Help",MB_OK);
                  break;
               case IDM_SAVE:
				   {
					HDC hdc = ::GetDC(hwnd);
					HDC hdcbmp;
					HBITMAP	hbmp;
					//BITMAP bmp;
					RECT rect;
					GetClientRect(hwnd,&rect);
					hdcbmp = CreateCompatibleDC(hdc);
					hbmp = CreateCompatibleBitmap(hdc,rect.right-rect.left,rect.bottom-rect.top);
					SelectObject(hdcbmp,hbmp);
					
					BitBlt(hdcbmp, 0, 0, 
					rect.right  -	rect.left ,
					rect.bottom -	rect.top  ,
					hdc,		0	,	0,
					SRCCOPY);

					BitBlt(hdc, 0, 0, 
					rect.right  -	rect.left ,
					rect.bottom -	rect.top  ,
					hdcbmp,		0	,	0,
					SRCCOPY);
					{
					char filename[10];
					itoa (file_number++,filename,10);
					strcat (filename,".bmp");
					SaveBitmapFile(hdcbmp,hbmp, filename);
					}
					ReleaseDC(hwnd,hdc);
					ReleaseDC(hwnd,hdcbmp);
					DeleteObject(hbmp);
				   }
    	           }
            break;
         case WM_DESTROY:
         		PostQuitMessage(0);
         	 break;
         default:
         return DefWindowProc(hwnd,message,wParam,lParam);
         }
    return 0;
  }



